#ifndef _LCD_H
  #define _LCD_H

#define ZEICHEN_DISPLAY  24
#define ZEILEN_DISPLAY   2
#define ZEILE_1          0x00
#define ZEILE_2          0x40
#define LCD_ON           0x0c
#define LCD_OFF          0x08
#define LCD_CLEAR        0x01
#define LCD_HOME         0x02
#define LCD_CURSOR_ON    0x0e
#define LCD_CURSOR_BLINK 0x01
#define LCD_CURSOR_OFF   0x0C

void wait         (unsigned int);
void wait_precise (unsigned int);
void LCDOutc      (unsigned char);
void LCDInit      (void);
void LCDClear     (void);
void LCDHome      (void);
void LCDPos       (int);
void LCDClock     (void);
void LCDOuts      (unsigned char*);
void LCDOutInt    (int, int);
void LCDOutFloat  (float, float);
//void LCDCursor    (int);
void LCDCmd       (int);
void IntToString  (unsigned char*, unsigned int, int);

#endif

